# TdApi.VoiceChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: VoiceChat

Package it.tdlight.jni

# Class TdApi.VoiceChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VoiceChat

Enclosing class:
  TdApi

    public static class TdApi.VoiceChat
    extends TdApi.Object

Describes a voice chat.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.MessageSender` | `defaultParticipantId` | Default group call participant identifier to join the voice chat; may be null.
`int` | `groupCallId` | Group call identifier of an active voice chat; 0 if none.
`boolean` | `hasParticipants` | True, if the voice chat has participants.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`VoiceChat()` | Describes a voice chat.
`VoiceChat​(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)` | Describes a voice chat.
`VoiceChat​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier of an active voice chat; 0 if none. Full informationa about the voice chat can be received through the method getGroupCall.

### hasParticipants

public boolean hasParticipants
True, if the voice chat has participants.

### defaultParticipantId

public TdApi.MessageSender defaultParticipantId
Default group call participant identifier to join the voice chat; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### VoiceChat

public VoiceChat()
Describes a voice chat.

### VoiceChat

public VoiceChat​(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)
Describes a voice chat.

Parameters:
  `groupCallId` - int Group call identifier of an active voice chat; 0 if none. Full informationa about the voice chat can be received through the method getGroupCall.
  `hasParticipants` - boolean True, if the voice chat has participants.
  `defaultParticipantId` - MessageSender Default group call participant identifier to join the voice chat; may be null.

### VoiceChat

public VoiceChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`